blk_start_queue
Prev | Chapter 19. Block Devices | Next

## Name

blk_start_queue — restart a previously stopped queue

## Synopsis

`void blk_start_queue (` | struct request_queue * | q`)`;

## Arguments

`q`

  The &struct request_queue in question

## Description

`blk_start_queue` will clear the stop flag on the queue, and call the request_fn for the queue if it was in a stopped state when entered. Also see `blk_stop_queue`. Queue lock must be held.

Prev | Up | Next
generic_unplug_device | Home | blk_stop_queue